## billard-gl 1.70

=== src/Makefile ===
#############################################################################
# Linux Makefile for building BillardGl  Tobias Nopper 2001
#     Project: BillardGL
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -Wall -W -DNO_DEBUG -g
CXXFLAGS=	-pipe -Wall -W -DNO_DEBUG -g 
INCPATH	=	-I/usr/X11R6/include 
LINK	=	g++
LFLAGS	=	
LIBS	=	-L/usr/X11R6/lib -lGL -lGLU -lglut -lXmu -lXext -lX11 -lm -lXi

## -lqgl -lGLU

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	Anzeige.h\
		Beleuchtung.h\
		Benutzerschnittstelle.h\
		BillardGL.h\
		Einsetzen.h\
		Handling.h\
		Kamera.h\
		KommandoZeilenParameter.h\
		Kugel.h\
		LA.h\
		Menu.h\
		Namen.h\
		Netzwerk.h\
		Physik.h\
		SchattenKreis.h\
		Schiedsrichter.h\
		Schild.h\
		SpielfeldAufbau.h\
		Textfeld.h\
		Tisch.h\
		Tischfunktionen.h\
		Zeit.h\
		bmp.h\
		createTexture.h\
		kugeltabellen.h\
		viertelLoch.h

SOURCES =	Anzeige.cpp\
		Beleuchtung.cpp\
		Benutzerschnittstelle.cpp\
		BillardGL.cpp\
		Einsetzen.cpp\
		Handling.cpp\
		Kamera.cpp\
		KommandoZeilenParameter.cpp\
		Kugel.cpp\
		LA.cpp\
		Menu.cpp\
		Netzwerk.cpp\
		Physik.cpp\
		SchattenKreis.cpp\
		Schiedsrichter.cpp\
		Schild.cpp\
		SpielfeldAufbau.cpp\
		Textfeld.cpp\
		Tisch.cpp\
		Tischfunktionen.cpp\
		Zeit.cpp\
		bmp.cpp\
		createTexture.cpp\
		kugeltabellen.cpp\
		viertelLoch.cpp

OBJECTS =	Anzeige.o\
		Beleuchtung.o\
		Benutzerschnittstelle.o\
		BillardGL.o\
		Einsetzen.o\
		Handling.o\
		Kamera.o\
		KommandoZeilenParameter.o\
		Kugel.o\
		LA.o\
		Netzwerk.o\
		Menu.o\
		Physik.o\
		SchattenKreis.o\
		Schiedsrichter.o\
		Schild.o\
		SpielfeldAufbau.o\
		Textfeld.o\
		Tisch.o\
		Tischfunktionen.o\
		Zeit.o\
		bmp.o\
		createTexture.o\
		kugeltabellen.o\
		viertelLoch.o

INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	BillardGL
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

dist:
	$(TAR) BillardGL.tar BillardGL.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) BillardGL.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core
clear:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

install: 
	-cp BillardGL /usr/X11R6/bin/BillardGL
	-cp BillardGL /usr/X11R6/bin/billardGL
	-mkdir /usr/share/BillardGL
	-cp -R Texturen /usr/share/BillardGL
	-mkdir /usr/share/doc/packages/BillardGL
	-cp README /usr/share/doc/packages/BillardGL
	-cp *.lang /usr/share/BillardGL

####### Sub-libraries

## billard-gl 1.75

=== src/Makefile ===
--- 
+++ 
@@ -46,7 +46,8 @@
 		bmp.h\
 		createTexture.h\
 		kugeltabellen.h\
-		viertelLoch.h
+		viertelLoch.h\
+		LadeScreen.h
 
 SOURCES =	Anzeige.cpp\
 		Beleuchtung.cpp\
@@ -72,7 +73,8 @@
 		bmp.cpp\
 		createTexture.cpp\
 		kugeltabellen.cpp\
-		viertelLoch.cpp
+		viertelLoch.cpp\
+		LadeScreen.cpp
 
 OBJECTS =	Anzeige.o\
 		Beleuchtung.o\
@@ -98,7 +100,8 @@
 		bmp.o\
 		createTexture.o\
 		kugeltabellen.o\
-		viertelLoch.o
+		viertelLoch.o\
+		LadeScreen.o
 
 INTERFACES =	
 UICDECLS =	
@@ -150,12 +153,16 @@
 install: 
 	-cp BillardGL /usr/X11R6/bin/BillardGL
 	-cp BillardGL /usr/X11R6/bin/billardGL
-	-mkdir /usr/share/BillardGL
+	-mkdir -p /usr/share/BillardGL
 	-cp -R Texturen /usr/share/BillardGL
-	-mkdir /usr/share/doc/packages/BillardGL
+	-cp -R lang /usr/share/BillardGL
+	-mkdir -p /usr/share/doc/packages/BillardGL
 	-cp README /usr/share/doc/packages/BillardGL
-	-cp *.lang /usr/share/BillardGL
 
+uninstall:
+	-rm /usr/X11R6/bin/BillardGL
+	-rm -rf /usr/share/BillardGL
+	-rm -rf /usr/share/doc/packages/BillardGL
 ####### Sub-libraries

=== debian/changelog ===
billard-gl (1.75-16build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:14:32 +0000

billard-gl (1.75-16) unstable; urgency=medium

  * Team upload.
  * Add icon entry to menu file and a new 32x32 pixel icon. (Closes: #726211)
  * Add keywords to desktop file.
  * Vcs-Browser: Use https.
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@debian.org>  Thu, 05 Nov 2015 16:48:28 +0100

billard-gl (1.75-15) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Barry deFreese ]
  * Add patch to fix null HOME var. (Closes: #715681).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 09 Aug 2013 11:54:47 -0400

billard-gl (1.75-13) unstable; urgency=low

  * Use override_dh_fixperms-indep.
    + When building arch only package, file didn't exist.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 21 Jun 2013 03:46:41 -0400

billard-gl (1.75-12) unstable; urgency=low

  [ Vincent Legout ]
  * Add 06_language_pack.patch: Fix a segmentation fault due to missing
    strings in language files (Closes: #580711)

  [ Barry deFreese ]
  * Update rules to dh style.
    + Bump debhelper build-dep and compat to 9.
  * Update 05_Makefile.patch to set LFLAGS = $(LDFLAGS).
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 19 Jun 2013 17:25:00 -0400

billard-gl (1.75-11) unstable; urgency=low

  [ Gonéri Le bouder ]
  * remove the duplicated last entry in the changelog
  * rename billard-gl.1 to billard-gl.6 since it's a game manpage

  [ Evgeni Golov ]
  * Fix the encoding of the last changelog entry, sorry Eddy and Linas.
  * Correct the spelling of billiards in the short description and remove
    an additional space.

  [ Paul Wise ]
  * Team upload.
  * Link to the English version of the website in Homepage
  * Link with GL, GLU as well as GLUT (Closes: #577314, #553938)
  * Prune Thierry Reding from Uploaders (Closes: #572544)
  * Add ${misc:Depends} to dependencies in case debhelper needs it
  * Switch to the dpkg-source v3 quilt format and DEP-3 patch headers
  * Include the extra languages from the language pack (Closes: #493918)
  * Refer to the correct version of the GPL in the copyright information
  * Update Barry deFreese's email address in the Uploaders field
  * Bump Standards-Version, no changes needed
  * Also include the upstream changelog in the data package

 -- Paul Wise <pabs@debian.org>  Tue, 13 Apr 2010 23:40:53 +0800

billard-gl (1.75-10) unstable; urgency=low

  [ Jon Dowland ]
  * update menu section to "Games/Simulation" for menu transition
    (thanks Linas Žvirblis)

  [ Eddy Petrișor ]
  * add dpkg-dev (>= 1.13.19) as a build dependency

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.
  * debian/copyright: Mention this package is now maintained by the Debian
    Game team.
  * debian/rules: Install menu file again.

  [ Barry deFreese ]
  * Fix watch file (Closes: #450137).
  * Clean up desktop file (Encoding is deprecated).
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.

 -- Barry deFreese <bddebian@comcast.net>  Thu, 10 Apr 2008 23:24:29 -0400

billard-gl (1.75-9.1) unstable; urgency=low

  * NMU with current maintainer's authorization.
  * Set Maintainer to the Debian Games Team.
  * debian/control:
    - Update Standards-Version.
    - Update debhelper version.
    - Make package binNMU safe. (Closes: #432943)
    - Update Homepage in new control field.
  * Add a .desktop and an icon. (Closes: #432833)
  * debian/rules:
    - Remove deprecated DH_COMPAT.
    - Install .desktop and icon.
    - Don't install menu anymore.
  * debian/compat: Add.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Wed, 10 Oct 2007 11:52:22 +0200

billard-gl (1.75-9) unstable; urgency=low

  * Removed the build-dependency on xlibs-dev.
  * Now build-depending on freeglut3-dev, because xlibmesa-dev does not exist
    in etch any longer and freeglut3-dev will pull in the necessary GL and GLU
    build-dependencies.
  * Modified the 05_Makefile.dpatch to reduce the number of libraries linked
    against. Most of the libraries are spurious.
  * Updated the FSF's address.

 -- Thierry Reding <thierry@doppeltgemoppelt.de>  Mon, 19 Dec 2005 13:05:06 +0100

billard-gl (1.75-8) unstable; urgency=low

  * New upload to build with new C++ ABI.
  * Updated Standards-Version to 3.6.2.1, no changes.
  * Use *.install files to copy files from the upstream directory to the build
    directory.
  * Fixed lintian warning about a texture file having world executable
    permissions but not being an ELF binary or script.

 -- Thierry Reding <thierry@doppeltgemoppelt.de>  Fri, 26 Aug 2005 20:17:34 +0200

billard-gl (1.75-7) unstable; urgency=low

  * New maintainer. (Closes: #236582)
  * Added patch by Ulf Harnhammar. (Closes: #290822)
  * By default, start in windowed mode at a resolution of 640x480.
    Closes: #284855
    Closes: #173197
  * Updated the billard-gl(6) manpage and the watchfile.
  * Fixed lintian warnings about the menu file.
  * Migrated the data files from /usr/share/billard-gl to
    /usr/share/games/billard-gl (as recommended by FHS 4.7).
  * Previous patches to the upstream source extracted into
    debian/patches.
  * Data split from the binary. Added the billard-gl-data package.
  * Upstream makefile now accepts CFLAGS from debian/rules.

 -- Thierry Reding <thierry@doppeltgemoppelt.de>  Mon, 31 Jan 2005 03:57:08 +0100

billard-gl (1.75-6) unstable; urgency=low

  * The "fixing bugs whilst naked" release.
  * Rebuilding the package using gcc 3.x! (Closes: #210574)
  * Orphaning this package due to lack of activity upstream and lack of
    interest on my part.

 -- Jamie Wilkinson <jaq@debian.org>  Sun,  7 Mar 2004 20:15:07 +1100

billard-gl (1.75-5) unstable; urgency=low

  * The "last upload for the year before I incapacitate myself" release.


=== debian/control ===
Source: billard-gl
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bartosz Fenski <fenio@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 freeglut3-dev
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/billard-gl/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/billard-gl/
Homepage: http://www.billardgl.de/index-en.html

Package: billard-gl
Architecture: any
Depends:
 billard-gl-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D billiards game
 Play a game of 8-ball or 9-ball, either in training mode or against a
 friend. For beginners, the game features a tutorial, introducing them to
 the user-interface and controls. Help is also available for those who do
 not know the rules for an 8-ball or 9-ball game.

Package: billard-gl-data
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 billard-gl (= ${source:Version})
Description: 3D billiards game - data files
 Play a game of 8-ball or 9-ball, either in training mode or against a
 friend. For beginners, the game features a tutorial, introducing them to
 the user-interface and controls. Help is also available for those who do
 not know the rules for an 8-ball or 9-ball game.
 .
 This package contains the data files for billard-gl.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

MORE_CFLAGS=$(shell dpkg-buildflags --get CPPFLAGS) \
	$(shell dpkg-buildflags --get CFLAGS) \
	$(shell dpkg-buildflags --get CXXFLAGS)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
export MORE_CFLAGS+=-g
else
export MORE_CFLAGS+=-O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@ -Dsrc

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs src/README

override_dh_fixperms-indep:
	dh_fixperms
	chmod 0644 debian/billard-gl-data/usr/share/games/billard-gl/Texturen/2/filzkachel.bmp

=== debian/watch ===
version=3
http://sf.net/billardgl/BillardGL-(.*)\.tar\.gz
